
// set pin numbers:
int LEDPin = 4;     // the number of the LED pin
int IRPin =  5;      // the number of the IR Reflective Sensor pin

// variables will change:
int IRState = 0;         // variable for reading the IR Reflective Sensor status

void setup() {
  // initialize the LED pin as an output:
  pinMode(LEDPin, OUTPUT);      
  // initialize the IR Reflective sensor pin as an input:
  pinMode(IRPin, INPUT);     
}

void loop(){
  // read the state of the IR Reflective Sensor value:
  IRState = digitalRead(IRPin);

  // check if miss the black line
  // if it is, the IRState is LOW
  if (IRState == LOW) {     
    // turn LED ON:    
    digitalWrite(LEDPin, HIGH);  
  } 
  else {
    // turn LED off:
    digitalWrite(LEDPin, LOW); 
  }
}
