#include <Wire.h>
#include "RTClib.h"
#include "TM1650.h"
#include <inttypes.h>
RTC_DS1307 RTC;
static uint8_t TubeTab[] = {
						   0x3F,0x06,0x5B,0x4F,
						   0x66,0x6D,0x7D,0x07,
						   0x7F,0x6F,0x77,0x7C,
						   0x39,0x5E,0x79,0x71,   
						   };//0~9,A,B,C,D,E,F  
static uint8_t TubeTabwithPoit[] = {
						   0xBF,0x86,0xDB,0xCF,
						   0xE6,0xED,0xFD,0x87,
						   0xFF,0xEF   
						   };//0~9  
int8_t number[] = {0,0,0,0};
TM1650 DigitalLED(2,3);//(SDA,SCL)

void setup () {
    Serial.begin(9600);
    Wire.begin();
    RTC.begin();
    if (! RTC.isrunning()) {
        Serial.println("RTC is NOT running!");
        // following line sets the RTC to the date & time this sketch was compiled
        RTC.adjust(DateTime(__DATE__, __TIME__));
    }
}

void loop () {
    DigitalLED.clearDisplay();
    DateTime now = RTC.now(); 
    leddisplaymd(1,now.month());
    leddisplaymd(2,now.day());
    delay(3000);
    DigitalLED.clearDisplay();
    leddisplayhm(1,now.hour());
    leddisplayhm(2,now.minute());
    delay(3000);
}


void leddisplaymd(char i,int temp)
{
      int shi=0,ge=0;
      shi=temp/10;
      ge=temp%10;
      if(i==1)
      {
      DigitalLED.display(0,TubeTabwithPoit[shi]);
      DigitalLED.display(1,TubeTab[ge]);
      }
       if(i==2)
      {
      DigitalLED.display(2,TubeTab[shi]);;
      DigitalLED.display(3,TubeTab[ge]);;
      }        
}
void leddisplayhm(char i,int temp)
{
      int shi=0,ge=0;
      shi=temp/10;
      ge=temp%10;
      if(i==1)
      {
      DigitalLED.display(0,TubeTab[shi]);
     DigitalLED.display(1,TubeTabwithPoit[ge]);
      }
       if(i==2)
      {
       DigitalLED.display(2,TubeTab[shi]);
       DigitalLED.display(3,TubeTab[ge]);
      }        
}
